image: docker:19

services:
  - docker:dind

stages:
  - build

before_script:
  - docker version
  - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

build:
  stage: build
  script:
    - docker pull $CI_REGISTRY_IMAGE:latest || true
    - docker build --cache-from $CI_REGISTRY_IMAGE:latest --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA --tag $CI_REGISTRY_IMAGE:latest .
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA
    - docker push $CI_REGISTRY_IMAGE:latest

sendconfig:
  stage: build
  script:
    - |
      - curl --request PUT --header "PRIVATE-TOKEN: glpat-7sraHGBZ-H8NyTPVKfsw" --header "Content-Type: application/json" --data '{"branch": "yaml", "content": "{\"apiVersion\": \"apps/v1\",\"kind\": \"Deployment\",\"metadata\": {\"name\": \"nginx-deployment\",\"namespace\": \"vidu\",\"labels\": {\"app\": \"nginx\" } },\"spec\": {\"replicas\": 2,\"selector\": {\"matchLabels\": {\"app\": \"nginx\" } },\"template\": {\"metadata\": {\"labels\": {\"app\": \"nginx\" } },\"spec\": {\"containers\": [ {\"name\": \"nginx\",\"image\": \"'"$CI_REGISTRY_IMAGE:$CI_COMMIT_SHA"'\",\"ports\": [ {\"containerPort\": 8 } ] } ] } } }}", "commit_message": "hello"}' "https://gitlab.com/api/v4/projects/44535045/repository/files/nagios.yaml"
